Reminders
Delete a reminder
Permanently delete a reminder by its ID. `Idempotency-Key` is optional on DELETE (the operation is HTTP-idempotent by semantics). Returns `{ data: { affected: 1, ids: [reminderId] } }`.
DELETE /v2/reminders/{reminderId}
Parameters
Path parameters
reminderId
string (uuid) required
Header parameters
Idempotency-Key
string
Optional. Accepted to dedupe retries on this endpoint. See
apps/rest-api/src/shared/idempotency.ts.Responses
200 — Successful response
Content-Type: application/json
data
object required
data.affected
integer required
data.ids
array<string>
data.failed
array<object>
data.failed[].id
string
data.failed[].error
object
data.failed[].error.code
string
data.failed[].error.message
string
Example
{
"data": {
"affected": 0
}
}
400 — Request body failed validation.
Content-Type: application/json
(body)
any
401 — Missing or invalid API key.
Content-Type: application/json
(body)
any
403 — Valid key, insufficient permission.
Content-Type: application/json
(body)
any
404 — Resource does not exist.
Content-Type: application/json
(body)
any
409 — Request conflicts with the current state of the resource.
Content-Type: application/json
(body)
any
429 — Rate limit exceeded.
Content-Type: application/json
(body)
any
500 — Unexpected server error.
Content-Type: application/json
(body)
any
Code samples
curl https://api.prod.getdex.com/v2/reminders/00000000-0000-0000-0000-000000000000 \
--request DELETE \
--header 'Authorization: Bearer YOUR_API_KEY'
fetch('https://api.prod.getdex.com/v2/reminders/00000000-0000-0000-0000-000000000000', {
method: 'DELETE',
headers: {
Authorization: 'Bearer YOUR_API_KEY'
}
})
requests.delete(
"https://api.prod.getdex.com/v2/reminders/00000000-0000-0000-0000-000000000000",
headers={
"Authorization": "Bearer YOUR_API_KEY"
}
)
Update a reminder
Partially update a reminder by its ID. **Requires an `Idempotency-Key` header**. Returns `{ data: { reminder: {...} } }` with the post-update row.
List reminders
Retrieve all reminders for the authenticated user. Supports filtering, sorting, and cursor pagination. Returns `{ data: { reminders: [...], pagination?: { nextCursor, count } } }`.

